<div style="padding:5px;min-width:1700px">
<div style="padding:20px;"></div>
<button class="btn btnExcel" style="width:150px;text-align:center;">Export Excel</button></div>
<table id="view_laporan" class="cetakExcel" border="0" cellpadding="2" cellspacing="0" style="margin:10px;">
  <tbody>
    <tr>
      <th rowspan="6" colspan="1">NOMOR URUT</th>
      <th rowspan="6" colspan="1">NOMOR PERKARA</th>
      <th rowspan="3" colspan="2">NAMA</th>
      <th rowspan="6" colspan="1">KLASIFIKASI</th>
      <th rowspan="5" colspan="2">TERDAKWA</th>
      <th rowspan="3" colspan="7">TANGGAL</th>
      <th rowspan="6" colspan="1">HASIL DIVERSI</th>
      <th rowspan="5" colspan="2">TERPIDANA</th>
      <th rowspan="1" colspan="24">AMAR PUTUSAN</th>
      <th rowspan="6" colspan="2">REKAPITULASI</th>
    </tr>
    <tr>
      <th rowspan="1" colspan="20">DIJATUHI PUTUSAN</th>
      <th rowspan="4" colspan="2">BEBAS DARI DAKWAAN</th>
      <th rowspan="4" colspan="2">LEPAS DARI TUNTUTAN</th>
    </tr>
    <tr>
      <th rowspan="1" colspan="11">PIDANA POKOK</th>
      <th rowspan="3" colspan="2">PIDANA TAMBAHAN</th>
      <th rowspan="1" colspan="7">SUBSIDER</th>
    </tr>
    <tr>
      <th rowspan="3" colspan="1">MAJELIS HAKIM</th>
      <th rowspan="3" colspan="1">PANITERA PENGGANTI</th>
      <th rowspan="3" colspan="1">PELIMPAHAN PERKARA</th>
      <th rowspan="3" colspan="1">PENETAPAN MAJELIS HAKIM</th>
      <th rowspan="3" colspan="1">MUSYAWARAH DIVERSI</th>
      <th rowspan="3" colspan="1">PENETAPAN KESEPAKATAN DIVERSI</th>
      <th rowspan="3" colspan="1">SIDANG PERTAMA</th>
      <th rowspan="3" colspan="1">PUTUSAN</th>
      <th rowspan="3" colspan="1">MINUTASI</th>
      <th rowspan="2" colspan="2">MATI</th>
      <th rowspan="1" colspan="4">PENJARA</th>
      <th rowspan="2" colspan="2">KURUNGAN</th>
      <th rowspan="2" colspan="3">DENDA</th>
      <th rowspan="2" colspan="2">PENJARA</th>
      <th rowspan="2" colspan="2">KURUNGAN</th>
      <th rowspan="2" colspan="3">DENDA</th>
    </tr>
    <tr>
      <th rowspan="1" colspan="2">SEUMUR HIDUP</th>
      <th rowspan="1" colspan="2">WAKTU TERTENTU</th>
    </tr>
    <tr>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">JUMLAH (Rp)</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">JUMLAH (Rp)</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
      <th rowspan="1">L</th>
      <th rowspan="1">P</th>
    </tr>

    <tr>
    <?php for ($a=1; $a<=41;$a++){
      echo "<td>".$a."</td>";
          }
      echo "<td colspan=\"2\">42</td>";
    ?>
    </tr>

  <?php
  $rekap = array();
  if($stat!=''){
    if($stat->num_rows>0){
      foreach ($stat->result() as $row) {
        array_push($rekap, $row);
        $total = $row->sisa + $row->putus_blm_minut + $row->med_blm_minut;
      }
    }
  }
  if($laporan!=''){
    if($laporan->num_rows>0){
      $i=0;
      foreach ($laporan->result() as $row) {
        $i++;
        echo "<tr>";
          echo "<td style='width:20px;'>".$i."</td>";
          echo "<td>".$row->nomor_perkara."</td>";
          echo "<td>".$row->majelis_hakim_nama."</td>";
          echo "<td>".$row->panitera_pengganti_text."</td>";
          echo "<td>".$row->jenis_perkara_nama."</td>";
          echo "<td>".$row->tedakwa_L."</td>";
          echo "<td>".$row->tedakwa_P."</td>";
          echo "<td>".parse_date($row->pendaftaran)."</td>";
          echo "<td>".parse_date($row->penunjukan_hakim)."</td>";
          echo "<td>".parse_date($row->tgl_musyawarah)."</td>";
          echo "<td>".parse_date($row->tgl_penetapan_kesepakatan_diversi)."</td>";
          echo "<td>".parse_date($row->sidang_pertama)."</td>";
          echo "<td>".parse_date($row->tanggal_putusan)."</td>";
          echo "<td>".parse_date($row->tanggal_minutasi)."</td>";
          echo "<td>".$row->hasil_diversi."</td>";

          echo "<td>".$row->terpidana_anak_l."</td>";
          echo "<td>".$row->terpidana_anak_p."</td>";

          echo "<td>".$row->terpidana_mati_anak_l."</td>";
          echo "<td>".$row->terpidana_mati_anak_p."</td>";

          echo "<td>".$row->terpidana_seumurhdp_anak_l."</td>";
          echo "<td>".$row->terpidana_seumurhdp_anak_p."</td>";

          echo "<td>".$row->terpidana_wkttt_anak_l."</td>";
          echo "<td>".$row->terpidana_wkttt_anak_p."</td>";

          echo "<td>".$row->terpidana_kurungan_anak_l."</td>";
          echo "<td>".$row->terpidana_kurungan_anak_p."</td>";

          echo "<td>".$row->terpidana_denda_anak_l."</td>";
          echo "<td>".$row->terpidana_denda_anak_p."</td>";
          echo "<td>".$row->denda."</td>";

          echo "<td>".$row->pidana_tambahan_anak_l."</td>";
          echo "<td>".$row->pidana_tambahan_anak_p."</td>";

          echo "<td>".$row->subsider_penjara_anak_l."</td>";
          echo "<td>".$row->subsider_penjara_anak_p."</td>";

          echo "<td>".$row->subsider_kurungan_anak_l."</td>";
          echo "<td>".$row->subsider_kurungan_anak_p."</td>";

          echo "<td>".$row->subsider_denda_anak_l."</td>";
          echo "<td>".$row->subsider_denda_anak_p."</td>";
          echo "<td>".$row->subsider_denda_nominal."</td>";

          echo "<td>".$row->bebas_dakwaan_anak_l."</td>"; 
          echo "<td>".$row->bebas_dakwaan_anak_p."</td>"; 

          echo "<td>".$row->lepas_tuntutan_anak_l."</td>"; 
          echo "<td>".$row->lepas_tuntutan_anak_p."</td>"; 

          
          echo "<td style='width:150px;'>".parse_stat($i,1)."</td>";
          echo "<td>".parse_stat($i,2,$rekap)."</td>";
        echo "</tr>";
        
      }
      if($i<16){
        for ($x=$i+1; $x <=16; $x++) {
          echo "<tr>";

            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";

            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";

            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";

            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";

            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            echo "<td></td>";
            
            echo "<td style='width:150px;'>".parse_stat($x,1)."</td>";
            echo "<td>".parse_stat($x,2,$rekap)."</td>";
          echo "</tr>";
        }
      }
    }
  }

  
  function parse_stat($x,$y,$rekap=NULL){
    if($x==1 AND $y==1){return '1. Sisa Bulan Lalu';}
    elseif($x==2 AND $y==1){return '  a. Belum Putus';}
    elseif($x==3 AND $y==1){return '  b. Sudah Putus Belum Minutasi';}
    elseif($x==4 AND $y==1){return '  ';}
    elseif($x==5 AND $y==1){return '2. Tambah Bulan Ini';}
    elseif($x==6 AND $y==1){return '3. Beban Bulan Ini';}
    elseif($x==7 AND $y==1){return '4. Belum Pembagian Majelis';}
    elseif($x==8 AND $y==1){return '5. Putus Bulan Ini';}
    elseif($x==9 AND $y==1){return '6. Minutir Bulan Ini';}
    elseif($x==10 AND $y==1){return '7. Belum Minutir Bulan Ini';}

    elseif($x==11 AND $y==1){return '8. Terdakwa';}
    elseif($x==12 AND $y==1){return '9. Terpidana';}

    elseif($x==13 AND $y==1){return '<strong>DIVERSI</strong>';}
    elseif($x==14 AND $y==1){return '10. Tidak Diversi ';}
    elseif($x==15 AND $y==1){return '11. Proses Diversi ';}
    elseif($x==16 AND $y==1){return '12. Diversi Berhasil ';}
    elseif($x==17 AND $y==1){return '13. Diversi Gagal ';}
    
    elseif($x==1 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut;}
    elseif($x==2 AND $y==2){return $rekap[0]->sisa;}
    elseif($x==3 AND $y==2){return $rekap[0]->putus_blm_minut;}
    elseif($x==4 AND $y==2){return '';}
    elseif($x==5 AND $y==2){return $rekap[0]->masuk;}
    elseif($x==6 AND $y==2){return $rekap[0]->sisa + $rekap[0]->putus_blm_minut + $rekap[0]->med_blm_minut + $rekap[0]->masuk;}
    elseif($x==7 AND $y==2){return $rekap[0]->blm_majelis;}
    elseif($x==8 AND $y==2){return $rekap[0]->putus;}
    elseif($x==9 AND $y==2){return $rekap[0]->minut;}
    elseif($x==10 AND $y==2){return $rekap[0]->blm_minut;}
    elseif($x==11 AND $y==2){return $rekap[0]->terdakwa;}
    elseif($x==12 AND $y==2){return $rekap[0]->terpidana;}
    elseif($x==13 AND $y==2){return '';}
    elseif($x==14 AND $y==2){return $rekap[0]->tidak_diversi;}
    elseif($x==15 AND $y==2){return $rekap[0]->proses_diversi;}
    elseif($x==16 AND $y==2){return $rekap[0]->diversi_berhasil;}
    elseif($x==17 AND $y==2){return $rekap[0]->diversi_gagal;}
    
  }
  ?>
</table>
</div>
<div style="padding:15px;"></div>
<script src="resources/js/jquery.table2excel.js"></script>
<script>
$(function() {
  $(".btnExcel").click(function(){
    $(".cetakExcel").table2excel({
      exclude: ".noExl",
      name: "Excel Document Name",
      filename: "Cetak Excel"
    });
  });
});
</script>